diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizardPage.java
index 4d41c48a2..7cbb5c0e9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizardPage.java
@@ -20,10 +20,10 @@ import org.eclipse.swt.widgets.Text;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.service.IUserService;
 import eu.etaxonomy.cdm.model.common.User;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
@@ -49,7 +49,7 @@ public class PasswordWizardPage extends AbstractCdmEntityWizardPage<User> implem
 	 * @param conversation
 	 * @param entity
 	 */
-	protected PasswordWizardPage(CdmFormFactory formFactory,
+	protected PasswordWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, User entity) {
 		super(formFactory, conversation, entity);
 		
@@ -62,11 +62,11 @@ public class PasswordWizardPage extends AbstractCdmEntityWizardPage<User> implem
 	@Override
 	public void createControl(Composite parent) {
 		Composite control = formFactory.createComposite(parent);
-		control.setLayoutData(CdmFormFactory.FILL());
+		control.setLayoutData(CdmFormFactoryFacade.FILL());
 		
 		setPageComplete(false);
 		
-		control.setLayout(CdmFormFactory.LAYOUT(2, false));
+		control.setLayout(CdmFormFactoryFacade.LAYOUT(2, false));
 		WizardPageRootElement rootElement = new WizardPageRootElement(formFactory, control, getConversationHolder());
 		
 		text_oldPassword = formFactory.createTextWithLabelElement(rootElement, "Old Password", null, SWT.PASSWORD);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java
index 9ed8d98cf..50af61ad1 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlReferencePage.java
@@ -26,8 +26,8 @@ import org.eclipse.swt.widgets.Label;
 import org.eclipse.ui.forms.widgets.ScrolledForm;
 
 import eu.etaxonomy.cdm.ext.openurl.OpenUrlReference;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ImageElement;
 import eu.etaxonomy.taxeditor.ui.forms.RootElement;
 
@@ -73,7 +73,7 @@ public class OpenUrlReferencePage extends WizardPage implements SelectionListene
 		container.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		
 		scrolledForm = getWizard().getFormFactory().createScrolledForm(container);
-		scrolledForm.getBody().setLayout(CdmFormFactory.LAYOUT(3, false));
+		scrolledForm.getBody().setLayout(CdmFormFactoryFacade.LAYOUT(3, false));
 		scrolledForm.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, true));
 		
 		Composite buttonContainer = getWizard().getFormFactory().createComposite(container);
@@ -91,7 +91,7 @@ public class OpenUrlReferencePage extends WizardPage implements SelectionListene
 		button_next.addSelectionListener(this);
 		button_next.setLayoutData(new GridData(SWT.RIGHT, SWT.BOTTOM, true, false));
 		
-		scrolledForm.getBody().setLayoutData(CdmFormFactory.FILL());
+		scrolledForm.getBody().setLayoutData(CdmFormFactoryFacade.FILL());
 		
 		rootElement = new RootElement(getWizard().getFormFactory(), scrolledForm.getBody());
 		
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java
index 17a434e89..632d9105e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorElement.java
@@ -19,9 +19,9 @@ import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Label;
 
 import eu.etaxonomy.cdm.model.reference.Reference;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -47,7 +47,7 @@ public class OpenUrlSelectorElement extends AbstractCdmFormElement implements Se
 	 * @param textHeight
 	 * @param style
 	 */
-	public OpenUrlSelectorElement(CdmFormFactory formFactory,
+	public OpenUrlSelectorElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, IOpenUrlEnabled openUrlEnabled, int style) {
 		super(formFactory, parentElement);
 		this.openUrlEnabled = openUrlEnabled;
@@ -56,7 +56,7 @@ public class OpenUrlSelectorElement extends AbstractCdmFormElement implements Se
 		addControl(label);
 		
 		button = formFactory.createButton(getLayoutComposite(), labelString, SWT.PUSH);
-		button.setLayoutData(CdmFormFactory.RIGHT());
+		button.setLayoutData(CdmFormFactoryFacade.RIGHT());
 		addControl(button);
 		button.addSelectionListener(this);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorWizard.java
index 5a50424bf..9e95dcc6c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/openurl/OpenUrlSelectorWizard.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * @author n.hoffmann
@@ -38,7 +38,7 @@ public class OpenUrlSelectorWizard extends Wizard {
 	
 	private OpenUrlReference openUrlReference;
 	
-	private CdmFormFactory formFactory;
+	private CdmFormFactoryFacade formFactory;
 
 	private URI openUrlReferenceImageUri;
 	
@@ -63,7 +63,7 @@ public class OpenUrlSelectorWizard extends Wizard {
 		setWindowTitle("Mobot Open Url");
 		setNeedsProgressMonitor(true);
 		
-		formFactory = new CdmFormFactory(DisplayProxy.getDefault());
+		formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault());
 		
 		openUrlServiceWrapper = new MobotOpenUrlServiceWrapper();
 		openUrlServiceWrapper.setBaseUrl(PreferencesUtil.getPreferenceStore().getString(IPreferenceKeys.OPENURL_ACCESS_POINT));
@@ -136,7 +136,7 @@ public class OpenUrlSelectorWizard extends Wizard {
 	/**
 	 * @return the formFactory
 	 */
-	public CdmFormFactory getFormFactory() {
+	public CdmFormFactoryFacade getFormFactory() {
 		return formFactory;
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
index ad6b985c0..9934984e2 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
@@ -21,9 +21,9 @@ import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEnableableFormElement;
@@ -49,11 +49,11 @@ public abstract class AbstractCdmDetailElement<T> extends
 	/**
 	 * <p>Constructor for AbstractCdmDetailElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param <T> a T object.
 	 */
-	public AbstractCdmDetailElement(CdmFormFactory formFactory,
+	public AbstractCdmDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, (ICdmFormElement) formElement);
 		// register as property change listener
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailSection.java
index 5e6516ff6..c2bcf9ac9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailSection.java
@@ -22,9 +22,9 @@ import org.eclipse.ui.forms.widgets.TableWrapLayout;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEnableableFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.ISelectableElement;
@@ -43,14 +43,14 @@ public abstract class AbstractCdmDetailSection<ENTITY> extends AbstractFormSecti
 	/**
 	 * <p>Constructor for AbstractCdmDetailSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 * @param <ENTITY> a ENTITY object.
 	 */
-	public AbstractCdmDetailSection(CdmFormFactory formFactory,
+	public AbstractCdmDetailSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style) {
 		super(formFactory, conversation, parentElement, selectionProvider, Section.CLIENT_INDENT | style);
 		
@@ -80,7 +80,7 @@ public abstract class AbstractCdmDetailSection<ENTITY> extends AbstractFormSecti
 	/**
 	 * <p>getDetailType</p>
 	 *
-	 * @return a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType} object.
+	 * @return a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType} object.
 	 */
 	protected abstract DetailType getDetailType();
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java
index c77ee1ccb..8ca89e7e0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionElement.java
@@ -24,9 +24,9 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.model.ImageResources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEntityElement;
 import eu.etaxonomy.taxeditor.ui.forms.ISelectable;
@@ -54,13 +54,13 @@ public abstract class AbstractEntityCollectionElement<ENTITY> extends AbstractCd
 	 * <p>Constructor for AbstractEntityCollectionElement.</p>
 	 *
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param section a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
 	 * @param entity a ENTITY object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param <ENTITY> a ENTITY object.
 	 */
-	public AbstractEntityCollectionElement(CdmFormFactory formFactory, AbstractFormSection section, ENTITY entity, SelectionListener removeListener,
+	public AbstractEntityCollectionElement(CdmFormFactoryFacade formFactory, AbstractFormSection section, ENTITY entity, SelectionListener removeListener,
 			Color backgroundColor, int style) {
 		super(formFactory, (ICdmFormElement) section);
 
@@ -75,12 +75,12 @@ public abstract class AbstractEntityCollectionElement<ENTITY> extends AbstractCd
 		addControl(box);
 		
 
-		TableWrapLayout boxLayout = CdmFormFactory.LAYOUT(2, false);		
+		TableWrapLayout boxLayout = CdmFormFactoryFacade.LAYOUT(2, false);		
 		boxLayout.topMargin = 4;
 		boxLayout.bottomMargin = 4;
 		box.setLayout(boxLayout);
 		
-		box.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		box.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		
 //		box.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_BLUE));
 		
@@ -91,15 +91,15 @@ public abstract class AbstractEntityCollectionElement<ENTITY> extends AbstractCd
 		setLayoutComposite(container);
 		
 		addControl(container);
-		Layout containerLayout = CdmFormFactory.LAYOUT(2, false);
+		Layout containerLayout = CdmFormFactoryFacade.LAYOUT(2, false);
 		
 		container.setLayout(containerLayout);
-		container.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		container.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		
 		if(removeListener != null){
 			button_remove = formFactory.createButton(box, null, SWT.PUSH);
 			addControl(button_remove);
-			button_remove.setLayoutData(CdmFormFactory.RIGHT());
+			button_remove.setLayoutData(CdmFormFactoryFacade.RIGHT());
 			button_remove.setImage(ImageResources.getImage(ImageResources.TRASH_ICON));
 			button_remove.setToolTipText("Remove");
 			
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
index 9ee5eb393..739bc1c06 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
@@ -28,9 +28,9 @@ import eu.etaxonomy.taxeditor.model.ImageResources;
 import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
@@ -54,12 +54,12 @@ public abstract class AbstractEntityCollectionSection<ENTITY, ELEMENT> extends A
 	 * @param conversation 
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param title a {@link java.lang.String} object.
 	 * @param <ENTITY> a ENTITY object.
 	 * @param <ELEMENT> a ELEMENT object.
 	 */
-	public AbstractEntityCollectionSection(CdmFormFactory formFactory, ConversationHolder conversation, ICdmFormElement parentElement, String title, int style) {
+	public AbstractEntityCollectionSection(CdmFormFactoryFacade formFactory, ConversationHolder conversation, ICdmFormElement parentElement, String title, int style) {
 		super(formFactory, conversation, parentElement, Section.CLIENT_INDENT | style);
 		this.title = title;
 		this.setText(getTitleString());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractIdentifiableEntityDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractIdentifiableEntityDetailElement.java
index 4cd5efe01..0ce198015 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractIdentifiableEntityDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractIdentifiableEntityDetailElement.java
@@ -6,7 +6,7 @@ package eu.etaxonomy.taxeditor.ui.section;
 import java.util.Arrays;
 
 import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.ToggleableTextElement;
 
@@ -19,7 +19,7 @@ public abstract class AbstractIdentifiableEntityDetailElement<T extends IIdentif
 
 	protected ToggleableTextElement toggleable_cache;
 	
-	public AbstractIdentifiableEntityDetailElement(CdmFormFactory formFactory,
+	public AbstractIdentifiableEntityDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/EmptyElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/EmptyElement.java
index d010c9a41..c0394967f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/EmptyElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/EmptyElement.java
@@ -16,8 +16,8 @@ import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.widgets.Label;
 
 import eu.etaxonomy.cdm.model.common.VersionableEntity;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEntityElement;
 
@@ -37,11 +37,11 @@ public class EmptyElement extends AbstractCdmFormElement implements IEntityEleme
 	 * <p>Constructor for EmptyElement.</p>
 	 *
 	 * @param style a int.
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param entity a {@link eu.etaxonomy.cdm.model.common.VersionableEntity} object.
 	 */
-	public EmptyElement(CdmFormFactory toolkit, ICdmFormElement parentElement, VersionableEntity entity, int style) {
+	public EmptyElement(CdmFormFactoryFacade toolkit, ICdmFormElement parentElement, VersionableEntity entity, int style) {
 		super(toolkit, parentElement);
 		addControl(new Label(getLayoutComposite(), SWT.HORIZONTAL));
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java
index e6b2a57e3..d60ae9157 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailElement.java
@@ -11,9 +11,9 @@
 package eu.etaxonomy.taxeditor.ui.section.agent;
 
 import eu.etaxonomy.cdm.model.agent.Institution;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 import eu.etaxonomy.taxeditor.ui.selection.InstitutionSelectionElement;
@@ -38,7 +38,7 @@ public class InstitutionDetailElement extends
 	 * @param formFactory
 	 * @param formElement
 	 */
-	public InstitutionDetailElement(CdmFormFactory formFactory,
+	public InstitutionDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailSection.java
index 9003785e0..a45cc1fb4 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionDetailSection.java
@@ -14,9 +14,9 @@ import org.eclipse.jface.viewers.ISelectionProvider;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Institution;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
 /**
@@ -33,7 +33,7 @@ public class InstitutionDetailSection extends AbstractCdmDetailSection<Instituti
 	 * @param selectionProvider
 	 * @param style
 	 */
-	public InstitutionDetailSection(CdmFormFactory formFactory,
+	public InstitutionDetailSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			ISelectionProvider selectionProvider, int style) {
 		super(formFactory, conversation, parentElement, selectionProvider, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java
index f3a8a0007..c5a8f0269 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/InstitutionWizardPage.java
@@ -14,9 +14,9 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Institution;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
@@ -33,7 +33,7 @@ public class InstitutionWizardPage extends
 	 * @param conversation
 	 * @param entity
 	 */
-	public InstitutionWizardPage(CdmFormFactory formFactory,
+	public InstitutionWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, Institution entity) {
 		super(formFactory, conversation, entity);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java
index a7a74aa2b..ff69d1214 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailElement.java
@@ -16,8 +16,8 @@ import java.util.Collection;
 import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractIdentifiableEntityDetailElement;
@@ -47,7 +47,7 @@ public class PersonDetailElement extends AbstractIdentifiableEntityDetailElement
 	 * </p>
 	 * 
 	 * @param cdmFormFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -55,7 +55,7 @@ public class PersonDetailElement extends AbstractIdentifiableEntityDetailElement
 	 * @param style
 	 *            a int.
 	 */
-	public PersonDetailElement(CdmFormFactory cdmFormFactory,
+	public PersonDetailElement(CdmFormFactoryFacade cdmFormFactory,
 			ICdmFormElement formElement, int style) {
 		super(cdmFormFactory, formElement);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailSection.java
index 46bbf8b59..b943fda07 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonDetailSection.java
@@ -14,8 +14,8 @@ import org.eclipse.jface.viewers.ISelectionProvider;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Person;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
@@ -31,13 +31,13 @@ public class PersonDetailSection extends AbstractCdmDetailSection<Person>{
 	/**
 	 * <p>Constructor for PersonDetailSection.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	public PersonDetailSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement,
+	public PersonDetailSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement,
 			ISelectionProvider selectionProvider, int style) {
 		super(cdmFormFactory, conversation, parentElement, selectionProvider, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonWizardPage.java
index c67ac2220..38715e263 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/PersonWizardPage.java
@@ -14,9 +14,9 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
@@ -32,11 +32,11 @@ public class PersonWizardPage extends AbstractCdmEntityWizardPage<Person> {
 	/**
 	 * <p>Constructor for PersonWizardPage.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param entity a {@link eu.etaxonomy.cdm.model.agent.Person} object.
 	 */
-	public PersonWizardPage(CdmFormFactory formFactory, ConversationHolder conversation,
+	public PersonWizardPage(CdmFormFactoryFacade formFactory, ConversationHolder conversation,
 			Person entity) {
 		super(formFactory, conversation, entity);
 		setTitle("Person");
